
From: Nick Piggin <nickpiggin@yahoo.com.au>



Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/mm/vmscan.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN mm/vmscan.c~vmscan-pages_scanned-fix mm/vmscan.c
--- 25/mm/vmscan.c~vmscan-pages_scanned-fix	2004-10-26 01:14:42.843964664 -0700
+++ 25-akpm/mm/vmscan.c	2004-10-26 01:14:42.848963904 -0700
@@ -582,7 +582,6 @@ static void shrink_cache(struct zone *zo
 			nr_taken++;
 		}
 		zone->nr_inactive -= nr_taken;
-		zone->pages_scanned += nr_taken;
 		spin_unlock_irq(&zone->lru_lock);
 
 		if (nr_taken == 0)
@@ -683,6 +682,7 @@ refill_inactive_zone(struct zone *zone, 
 		}
 		pgscanned++;
 	}
+	zone->pages_scanned += pgscanned;
 	zone->nr_active -= pgmoved;
 	spin_unlock_irq(&zone->lru_lock);
 
_
